%define major	1
%define libname	%mklibname cerf %{major}
%define devname	%mklibname cerf -d

%global _cmake_skip_rpath %nil

Name:		libcerf
Summary:	Complex error functions, Dawson, Faddeeva, and Voigt function
Version:	1.13
Release:	%mkrel 4
Group:		System/Libraries
License:	MIT
Url:		http://apps.jcns.fz-juelich.de/libcerf
Source0:	http://apps.jcns.fz-juelich.de/src/libcerf/libcerf-%{version}.tgz
Patch1:		0001-Fix-64bit-library-location.patch
Patch2:		0001-Fix-64bit-pkgconfig-.pc-file-location.patch
BuildRequires:	cmake
BuildRequires:	clang

%description
A self-contained C library providing complex error functions, based on
Faddeeva's plasma dispersion function w(z).

Also provides Dawson's integral and Voigt's convolution of a Gaussian
and a Lorentzian.

%package -n %{libname}
Summary:	Complex error functions, Dawson, Faddeeva, and Voigt function
Group:		System/Libraries

%description -n %{libname}
A self-contained C library providing complex error functions, based on
Faddeeva's plasma dispersion function w(z).

Also provides Dawson's integral and Voigt's convolution of a Gaussian
and a Lorentzian.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files for %{name}.

%prep
%setup -q
%autopatch -p1

%build
# for some reason %ix86 tests fails with gcc
export CC=clang
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files -n %{libname}
%doc CHANGELOG README
%license COPYING
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{version}

%files -n %{devname}
%doc %{_docdir}/libcerf/
%{_includedir}/cerf.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_mandir}/man3/*


%changelog
* Sat Feb 15 2020 daviddavid <daviddavid> 1.13-4.mga8
+ Revision: 1525600
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Apr 16 2019 daviddavid <daviddavid> 1.13-3.mga7
+ Revision: 1391160
- rebuild for new llvm/clang 8.0

* Sat Mar 16 2019 wally <wally> 1.13-2.mga7
+ Revision: 1377904
+ rebuild (emptylog)

* Sat Mar 16 2019 wally <wally> 1.13-1.mga7
+ Revision: 1377884
- build using clang as tests fails on i586 with gcc

* Sat Mar 16 2019 wally <wally> 1.13-1.mga7
+ Revision: 1377859
- new version 1.13

* Sun Sep 23 2018 umeabot <umeabot> 1.5-2.mga7
+ Revision: 1298783
- Mageia 7 Mass Rebuild

* Sun Jan 01 2017 wally <wally> 1.5-1.mga6
+ Revision: 1079229
- new version 1.5
- update URL and Source tags
- rediff P0

* Thu Feb 11 2016 umeabot <umeabot> 1.3-2.mga6
+ Revision: 955450
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 wally <wally> 1.3-1.mga6
+ Revision: 868304
- imported package libcerf

